This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 192803 - SVG, PS, PDF surfaces not supported in pycairo
SVG, PS, PDF surfaces not supported in pycairo
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pycairo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 04:15 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: pycairo-1.2.0-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-04 09:58:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-05-23 04:15:58 EDT
Description of problem:
I'm using pycairo to generate graphs.  I'd currently having to use PNG as my
output format as I can't see any support for vector formats in the surface code.

Version-Release number of selected component (if applicable):
pycairo-1.0.2-1.2.1

How reproducible:
100%

Steps to Reproduce/Actual results:
python
Python 2.4.3 (#1, Apr 12 2006, 12:51:08)
[GCC 4.1.0 20060410 (Red Hat 4.1.0-7)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import cairo
>>> cairo.HAS_PS_SURFACE
0
>>> cairo.HAS_PDF_SURFACE
0
dir (cairo)
['ANTIALIAS_DEFAULT', 'ANTIALIAS_GRAY', 'ANTIALIAS_NONE', 'ANTIALIAS_SUBPIXEL',
'CAPI', 'CONTENT_ALPHA', 'CONTENT_COLOR', 'CONTENT_COLOR_ALPHA', 'Context',
'EXTEND_NONE', 'EXTEND_REFLECT', 'EXTEND_REPEAT', 'Error', 'FILL_RULE_EVEN_ODD',
'FILL_RULE_WINDING', 'FILTER_BEST', 'FILTER_BILINEAR', 'FILTER_FAST',
'FILTER_GAUSSIAN', 'FILTER_GOOD', 'FILTER_NEAREST', 'FONT_SLANT_ITALIC',
'FONT_SLANT_NORMAL', 'FONT_SLANT_OBLIQUE', 'FONT_WEIGHT_BOLD',
'FONT_WEIGHT_NORMAL', 'FORMAT_A1', 'FORMAT_A8', 'FORMAT_ARGB32', 'FORMAT_RGB24',
'FontFace', 'FontOptions', 'Gradient', 'HAS_ATSUI_FONT', 'HAS_FT_FONT',
'HAS_GLITZ_SURFACE', 'HAS_PDF_SURFACE', 'HAS_PNG_FUNCTIONS', 'HAS_PS_SURFACE',
'HAS_QUARTZ_SURFACE', 'HAS_WIN32_FONT', 'HAS_WIN32_SURFACE', 'HAS_XCB_SURFACE',
'HAS_XLIB_SURFACE', 'ImageSurface', 'LINE_CAP_BUTT', 'LINE_CAP_ROUND',
'LINE_CAP_SQUARE', 'LINE_JOIN_BEVEL', 'LINE_JOIN_MITER', 'LINE_JOIN_ROUND',
'LinearGradient', 'Matrix', 'OPERATOR_ADD', 'OPERATOR_ATOP', 'OPERATOR_CLEAR',
'OPERATOR_DEST', 'OPERATOR_DEST_ATOP', 'OPERATOR_DEST_IN', 'OPERATOR_DEST_OUT',
'OPERATOR_DEST_OVER', 'OPERATOR_IN', 'OPERATOR_OUT', 'OPERATOR_OVER',
'OPERATOR_SATURATE', 'OPERATOR_SOURCE', 'OPERATOR_XOR', 'PATH_CLOSE_PATH',
'PATH_CURVE_TO', 'PATH_LINE_TO', 'PATH_MOVE_TO', 'Pattern', 'RadialGradient',
'ScaledFont', 'SolidPattern', 'Surface', 'SurfacePattern', '__builtins__',
'__doc__', '__file__', '__name__', '__path__', '_cairo', 'cairo_version',
'cairo_version_string', 'version', 'version_info']
  
Expected results:
I'd like at least PS and PDF support, ideally SVG as well
Comment 1 Dave Malcolm 2006-05-23 11:21:20 EDT
BTW this is with an underlying cairo-1.1.6-6
Comment 2 John (J5) Palmieri 2006-05-23 11:29:06 EDT
Carl is this currently in pycairo and we just need to enable it?
Comment 3 Carl Worth 2006-05-23 11:49:59 EDT
Yes, it looks to me like the latest pycairo (from CVS) has support for PDF, etc.

I don't know what the status of pycairo tar files is though. I can ping Steve
Chaplin to generate a new one if that would help.

-Carl
Comment 4 John (J5) Palmieri 2006-05-24 19:26:32 EDT
Carl,

Can you ping Steve to get a new tarball out?  Thanks.
Comment 5 Steve Chaplin 2006-06-14 23:17:53 EDT
Pycairo 1.0.2 supports PS and PDF, and the recently released Pycairo 1.1.6
supports SVG also.
But these surfaces cannot be used by cairo or pycairo unless cairo has been
compiled and installed with PS, PDF, and SVG support enabled!
Comment 6 Matthew Barnes 2006-10-29 21:43:13 EST
Dave, has this problem been addressed in the current pycairo package in Fedora
Core 6 and/or Rawhide?  Fedora Core 6 is carrying pycairo 1.2.0.
Comment 7 Steve Chaplin 2006-11-04 04:48:41 EST
Just installed Fedora Core 6 and retested the problem.

$ python
>>> import cairo
>>> cairo.HAS_PS_SURFACE
1
>>> cairo.HAS_PDF_SURFACE
1
>>> cairo.HAS_SVG_SURFACE
1

- the Red Hat pycairo package now supports PS, PDF and SVG surfaces, so the
problem has already been fixed.
Comment 8 Matthew Barnes 2006-11-04 09:58:10 EST
Thanks for the update.  I get the same results, so I'm closing this bug.

Feel free to reopen this if you feel that the problem has not been fixed.

Fixed in pycairo-1.2.0-1.1

Note You need to log in before you can comment on or make changes to this bug.